## GtkPlotCSurface GtkPlotCSurface |

## Functions

GtkWidget * | gtk_plot_csurface_new ()
GtkWidget * | gtk_plot_csurface_new_function ()
void | gtk_plot_csurface_construct_function ()
void | gtk_plot_csurface_set_lines_visible ()
gboolean | gtk_plot_csurface_get_lines_visible ()
void | gtk_plot_csurface_set_projection ()
GtkPlotProjection | gtk_plot_csurface_projection ()
void | gtk_plot_csurface_set_levels_attributes ()
void | gtk_plot_csurface_set_sublevels_attributes ()
void | gtk_plot_csurface_get_levels_attributes ()
void | gtk_plot_csurface_get_sublevels_attributes ()

## Properties

gpointer | levels-color | Read / Write
gint | levels-style | Read / Write
gdouble | levels-width | Read / Write
gint | lines-visible | Read / Write
gint | projection | Read / Write
gpointer | sublevels-color | Read / Write
gint | sublevels-style | Read / Write
gdouble | sublevels-width | Read / Write

## Types and Values

struct | GtkPlotCSurface
enum | GtkPlotProjection

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ╰── GtkPlotSurface
                            ╰── GtkPlotCSurface

## Implemented Interfaces

GtkPlotCSurface implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: need long description

## Functions

### gtk_plot_csurface_new ()

    GtkWidget *
    gtk_plot_csurface_new (void);

### gtk_plot_csurface_new_function ()

    GtkWidget *
    gtk_plot_csurface_new_function (GtkPlotFunc3D function);

#### Parameters

function | a GtkPlotFunc3D. | [scope async]

### gtk_plot_csurface_construct_function ()

    void
    gtk_plot_csurface_construct_function (GtkPlotCSurface *csurface,
                                          GtkPlotFunc3D function);

#### Parameters

function | a GtkPlotFunc3D. | [scope async]

### gtk_plot_csurface_set_lines_visible ()

    void
    gtk_plot_csurface_set_lines_visible (GtkPlotCSurface *csurface,
                                         gboolean visible);

#### Parameters

csurface | a GtkPlotCSurface/ |

### gtk_plot_csurface_get_lines_visible ()

    gboolean
    gtk_plot_csurface_get_lines_visible (GtkPlotCSurface *csurface);

#### Parameters

csurface | a GtkPlotCSurface. |

### gtk_plot_csurface_set_projection ()

    void
    gtk_plot_csurface_set_projection (GtkPlotCSurface *csurface,
                                      GtkPlotProjection proj);

#### Parameters

csurface | a GtkPlotCSurface. |

### gtk_plot_csurface_projection ()

    GtkPlotProjection
    gtk_plot_csurface_projection (GtkPlotCSurface *csurface);

#### Parameters

csurface | a GtkPlotCSurface. |

### gtk_plot_csurface_set_levels_attributes ()

    void
    gtk_plot_csurface_set_levels_attributes
                                   (GtkPlotCSurface *dataset,
                                    GtkPlotLineStyle style,
                                    gfloat width,
                                    const GdkColor *color);

#### Parameters

dataset | a GtkPlotCSurface. |

### gtk_plot_csurface_set_sublevels_attributes ()

    void
    gtk_plot_csurface_set_sublevels_attributes
                                   (GtkPlotCSurface *dataset,
                                    GtkPlotLineStyle style,
                                    gfloat width,
                                    const GdkColor *color);

#### Parameters

dataset | a GtkPlotCSurface. |

### gtk_plot_csurface_get_levels_attributes ()

    void
    gtk_plot_csurface_get_levels_attributes
                                   (GtkPlotCSurface *dataset,
                                    GtkPlotLineStyle *style,
                                    gfloat *width,
                                    GdkColor *color);

#### Parameters

dataset | a GtkPlotCSurface. |

### gtk_plot_csurface_get_sublevels_attributes ()

    void
    gtk_plot_csurface_get_sublevels_attributes
                                   (GtkPlotCSurface *dataset,
                                    GtkPlotLineStyle *style,
                                    gfloat *width,
                                    GdkColor *color);

#### Parameters

dataset | a GtkPlotCSurface. |

## Types and Values

### struct GtkPlotCSurface

    struct GtkPlotCSurface;

The GtkPlotCSurface struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotProjection

#### Members

GTK_PLOT_PROJECT_NONE |  |
GTK_PLOT_PROJECT_EMPTY |  |
GTK_PLOT_PROJECT_FULL |  |

## Property Details

### The `“levels-color”` property

      “levels-color”             gpointer

Flags: Read / Write

### The `“levels-style”` property

      “levels-style”             gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“levels-width”` property

      “levels-width”             gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“lines-visible”` property

      “lines-visible”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“projection”` property

      “projection”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“sublevels-color”` property

      “sublevels-color”          gpointer

Flags: Read / Write

### The `“sublevels-style”` property

      “sublevels-style”          gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“sublevels-width”` property

      “sublevels-width”          gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0